2019-11-23 00:11 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002712NetSurf[All Projects] Generalpublic2019-10-25 20:57
ReporterDavid Pitt 
Assigned ToVincent Sanders 
SeverityminorReproducibilityalways 
StatusresolvedResolutionfixed 
PlatformTitaniumOSRISC OSOS VersionOS5.27
Product Version 
Target VersionFixed in Version3.10 
Summary0002712: Warning from NetSurf: Unknown
DescriptionThis issue was first raised on the mailing list, 21Oct19, as "Warning from Netsurf: Unknown".

The example given was from an broken site, Safari reports the server as not responding. From the log NetSurf is responding with an "Unknown cURL response code 28".
Steps To ReproduceClick on link and wait.
TagsNo tags attached.
Fixed in CI build #4877
Reported in CI build #4875
URL of problem pagehttp://www.dalsemi.com/datasheets/appindex.html
Attached Files

-Relationships
+Relationships

-Notes
David Pitt

~0002112

David Pitt (reporter)

Typo, cURL response code was 28.
Vincent Sanders

~0002113

Vincent Sanders (administrator)

when navigation fails netsurf is reporting the error as "Unknown" instead of opening an "internal" page for failure (chrome et al report "www.dalsemi.com took too long to respond." and ERR_CONNECTION_TIMED_OUT
Vincent Sanders

~0002114

Vincent Sanders (administrator)

change unknown error reason code to have message text
+Notes

-Issue History
Date Modified Username Field Change
2019-10-22 10:41 David Pitt New Issue
2019-10-22 10:41 David Pitt File Added: unknown.zip
2019-10-22 11:40 David Pitt Note Added: 0002112
2019-10-22 11:41 Vincent Sanders Description Updated View Revisions
2019-10-22 11:41 Vincent Sanders Note Added: 0002113
2019-10-22 11:41 Vincent Sanders Status new => confirmed
2019-10-25 20:57 Vincent Sanders Assigned To => Vincent Sanders
2019-10-25 20:57 Vincent Sanders Status confirmed => resolved
2019-10-25 20:57 Vincent Sanders Resolution open => fixed
2019-10-25 20:57 Vincent Sanders Fixed in Version => 3.10
2019-10-25 20:57 Vincent Sanders Fixed in CI build # => 4877
2019-10-25 20:57 Vincent Sanders Note Added: 0002114
+Issue History